//=========================================================================
// C++ Builder Designpattern  BUMeasurementMeter.cpp
//=========================================================================
#include "stdafx.h"
#include "BUMeasurementMeter.h"
#include "BUBuilderAbstract.h"

//----------------------------------------------------------------------
BUMeasurementMeter::BUMeasurementMeter (double pMeter)
{
   rBuilder = NULL;
   set(pMeter);
}

//----------------------------------------------------------------------
double BUMeasurementMeter::get(void)
{
   return fMeter;
}

//----------------------------------------------------------------------
void BUMeasurementMeter::set(double pMeter)
{
   fMeter = pMeter;
}

//----------------------------------------------------------------------
BUBuilderAbstract *BUMeasurementMeter::getBuilder(void)
{
   return rBuilder;
}

//----------------------------------------------------------------------
void BUMeasurementMeter::setBuilder(BUBuilderAbstract *pBuilder)
{
   rBuilder = pBuilder;
}

//----------------------------------------------------------------------
void *BUMeasurementMeter::build(void)
{
   void *rRC = NULL;
   if (rBuilder != NULL)
   {
      rRC = rBuilder->construct(this);
   }
   return rRC;
}