//=========================================================================
// C++ Command Designpattern  CMKreis.cpp
//=========================================================================
#include "stdafx.h"
#include <iostream>
#include "CMKreis.h"

//----------------------------------------------------------------------
CMKreis::CMKreis(int px, int py, int pRad)
{
   xKoordinate = px;
   yKoordinate = py; 
   nRadius     = pRad;
   sFillColor="#000000";
   sLineColor="#000000";
}

//----------------------------------------------------------------------
CMKreis::~CMKreis()
{
   cout << "Destructor CMKreis" << endl;
}

//----------------------------------------------------------------------
void CMKreis::doCommand (CMCommand *pCommand)
{
   if (pCommand->getCommandText() == "Fillcolor")
   {
      sFillColor = pCommand->getData();
   }
   else if (pCommand->getCommandText() == "Linecolor")
   {
      sLineColor = pCommand->getData();
   }
   else if (pCommand->getCommandText() == "Resize")
   {
      string sVal;
      sVal = pCommand->getData();
      nRadius = (int)(nRadius * atof(sVal.c_str()));
   }
}

//----------------------------------------------------------------------
string CMKreis::showContent(void)
{
   char s[1000] = "";
   sprintf (s, "Kreis: %d, %d, %d - Linie: %s - Fill: %s", 
            xKoordinate, yKoordinate, nRadius,
            sLineColor.c_str(), sFillColor.c_str());
   return s;
}