//=========================================================================
// C++ Strategy Designpattern  STLongText.cpp
//=========================================================================
#include "stdafx.h"
#include "STLongText.h"
#include <iostream>

using namespace std;

//----------------------------------------------------------------------
STLongText::STLongText (void)
{
   rSaveStrategy = NULL;
}

//----------------------------------------------------------------------
STLongText::~STLongText ()
{
   if (rSaveStrategy)
   {
      delete rSaveStrategy;
   }
}

//----------------------------------------------------------------------
string STLongText::getText()
{
   return sText;
}

//----------------------------------------------------------------------
void STLongText::setText(string pString)
{
   sText = pString;
}
   
//----------------------------------------------------------------------
STSaveStrategy* STLongText::getSaveStrategy()
{
   return rSaveStrategy;
}

//----------------------------------------------------------------------
void STLongText::setSaveStrategy(STSaveStrategy* pStrategy)
{
   if (rSaveStrategy)
   {
      delete rSaveStrategy;
   }
   rSaveStrategy = pStrategy;
}

//----------------------------------------------------------------------
void STLongText::save()
{
   if (!rSaveStrategy)
   { 
      cout << "Cannot save, no Save-Strategy chosen" << endl;
   }
   else
   {
      cout << "saving Strategy-Adress: " << rSaveStrategy << endl;
      rSaveStrategy->save(sText);
   }
}
