//=========================================================================
// C++ Template Method Designpattern - TMFilesaver.cpp
//=========================================================================
#include "stdafx.h"        // Entfernen fr Borland
#include "TMFilesaver.h"

//-------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------
TMFilesaver::TMFilesaver ()
{
}

//-------------------------------------------------------------------------
// Destructor
//-------------------------------------------------------------------------
TMFilesaver::~TMFilesaver ()
{
}

//-------------------------------------------------------------------------
// save_open Standardmethode. Kann bei Bedarf gendert werden
//-------------------------------------------------------------------------
void TMFilesaver::save_open (ofstream & rDatei, const string & sFilename)
{ 
   string sFullname(sFilename);
   sFullname.append(".sav");
   rDatei.open (sFullname.c_str());
}

//-------------------------------------------------------------------------
// Template Method save
//-------------------------------------------------------------------------
void TMFilesaver::save (ofstream & rDatei, const string & sFilename)
{
   save_open (rDatei, sFilename.c_str());
   if (rDatei)
   {
      save_write (rDatei); // pure virtual !
      save_close (rDatei);
   }
}

//-------------------------------------------------------------------------
// save_close Standardmethode. Kann bei Bedarf gendert werden
//-------------------------------------------------------------------------
void TMFilesaver::save_close (ofstream & rDatei)
{
   rDatei.close();
}
